Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Interface ComboPopup

All Known Implementing Classes:
  BasicComboPopup

public interface ComboPopup

The interface which defines the kind of popup menu that BasicComboBoxUI requires. Classes that implement this interface don't have to extend JPopupMenu. This interface demands very little so alternatives to JPopupMenu can be used.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Method Summary
`KeyListener` | `getKeyListener()` Returns a key listener that shows and hides the popup.
`JList` | `getList()` Returns the list that is being used to draw the items in the JComboBox.
`MouseListener` | `getMouseListener()` Returns a mouse listener that shows and hides the popup.
`MouseMotionListener` | `getMouseMotionListener()` Returns a mouse motion listener that makes the popup act like a menu.
`void` | `hide()` Hides the popup
`boolean` | `isVisible()` Returns whether or not the popup is visible
`void` | `show()` Shows the popup
`void` | `uninstallingUI()` Called to inform the ComboPopup that the UI is uninstalling.

Method Detail

### show

    public void show()

  Shows the popup

### hide

    public void hide()

  Hides the popup

### isVisible

    public boolean isVisible()

  Returns whether or not the popup is visible

### getList

    public JList getList()

  Returns the list that is being used to draw the items in the JComboBox.

### getMouseListener

    public MouseListener getMouseListener()

  Returns a mouse listener that shows and hides the popup.

### getMouseMotionListener

    public MouseMotionListener getMouseMotionListener()

  Returns a mouse motion listener that makes the popup act like a menu.

### getKeyListener

    public KeyListener getKeyListener()

  Returns a key listener that shows and hides the popup.

### uninstallingUI

    public void uninstallingUI()

  Called to inform the ComboPopup that the UI is uninstalling. If the ComboPopup added any listeners in the component, it should remove them here.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.